char_traits.h File Reference

Go to the source code of this file.

## Classes

struct | __gnu_cxx::_Char_types< _CharT >
struct | __gnu_cxx::char_traits< _CharT >
struct | std::char_traits< _CharT >
struct | std::char_traits< char >
struct | std::char_traits< wchar_t >

## Namespaces

| __gnu_cxx
| std

## Macros

#define | __cpp_lib_constexpr_char_traits
#define | _GLIBCXX_ALWAYS_INLINE

## Functions

template<typename _CharT >
constexpr bool | std::__constant_char_array_p (const _CharT *__a, size_t __n)
template<typename _CharT >
constexpr bool | std::__constant_string_p (const _CharT *__s)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <string>.

Definition in file char_traits.h.